Set Retries
curl --request PUT \
--url http://{host}:{port}/{contextPath}/external-task/{id}/retries \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
"retries": 123
}'import requests
url = "http://{host}:{port}/{contextPath}/external-task/{id}/retries"
payload = { "retries": 123 }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({retries: 123})
};
fetch('http://{host}:{port}/{contextPath}/external-task/{id}/retries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}外部任务
设置重试次数
Sets the number of retries left to execute an external task by id. If retries are set to 0, an incident is created.
PUT
/
external-task
/
{id}
/
retries
Set Retries
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the external task to set the number of retries for.
Body
application/json
The number of retries to set for the resource. Must be >= 0. If this is 0, an incident is created and the task, or job, cannot be fetched, or acquired anymore unless the retries are increased again. Can not be null.
Response
Request successful.
⌘I